std::error_condition(3)

NAME
std::error_condition

SYNOPSIS

  Public Member Functions
template<typename _ErrorConditionEnum , typename = typename enable_if<is_error_condition_enum<_ErrorConditionEnum>::value>::type> error_condition (_ErrorConditionEnum __e) noexcept
error_condition (int __v, const error_category &__cat) noexcept
void assign (int __v, const error_category &__cat) noexcept
const error_category & category () const noexcept
void clear () noexcept
_GLIBCXX_DEFAULT_ABI_TAG string message () const
operator bool () const noexcept
template<typename _ErrorConditionEnum > enable_if< is_error_condition_enum< _ErrorConditionEnum >::value, error_condition & >::type operator= (_ErrorConditionEnum __e) noexcept
int value () const noexcept

  Related Functions
(Note that these are not member functions.)

error_condition make_error_condition (errc __e) noexcept
Create an error_condition representing a standard errc condition.
bool operator== (const error_code &__lhs, const error_condition &__rhs) noexcept
Create an error_condition representing a standard errc condition.
bool operator== (const error_condition &__lhs, const error_condition &__rhs) noexcept
Create an error_condition representing a standard errc condition.
bool operator< (const error_condition &__lhs, const error_condition &__rhs) noexcept
Define an ordering for error_condition objects.
bool operator== (const error_condition &__lhs, const error_code &__rhs) noexcept
Create an error_condition representing a standard errc condition.
bool operator!= (const error_code &__lhs, const error_condition &__rhs) noexcept
Create an error_condition representing a standard errc condition.
bool operator!= (const error_condition &__lhs, const error_code &__rhs) noexcept
Create an error_condition representing a standard errc condition.
bool operator!= (const error_condition &__lhs, const error_condition &__rhs) noexcept
Create an error_condition representing a standard errc condition.

Detailed Description

Class error_condition

This class represents error conditions that may be visible at an API boundary. Different error_code values that can occur within a library or module might map to the same error_condition.

An error_condition represents something that the program can test for, and subsequently take appropriate action.

Definition at line 278 of file system_error.

Author

Generated automatically by Doxygen for libstdc++ from the source code.